Bug 550369 - Review Request: spill - A segregated package install logical linker
Review Request: spill - A segregated package install logical linker
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-24 14:53 EST by Fabian Affolter
Modified: 2010-04-09 00:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: spill-0.8-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 22:13:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-12-24 14:53:01 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/spill.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/spill-0.8-1.fc12.src.rpm

Project URL: http://www.rc0.org.uk/spill

Description:
spill is a program for creating set of symbolic links from one directory
hierarchy which point to corresponding filenames in a separate directory
hierarchy. It's primary use is to allow packages built from source to be
installed in separate directory trees, which are all linked together under
a common directory tree (e.g. /usr/local) to reduce the length of the PATH
environment variable.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1890668

rpmlint output:
[fab@localhost i686]$ rpmlint spill*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@localhost SRPMS]$ rpmlint spill-0.8-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Thomas Spura 2009-12-24 18:52:50 EST
Review:

Good:
- license ok
- %files ok
- %doc ok
- permissions ok
- parallel make
- name ok
- url ok
- buildroot ok
- no BR/R ok
- no *.la
- no libs
- rpmlint clean


Comment:
Is there a reason, why not using %makeinstall?
from https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

"%makeinstall is a kludge that can work with Makefiles that don't make use of the DESTDIR variable"

There is no DESTDIR variable, and %makeinstall works (only wrong permissions, that can be fixed after that or/and complained upstream.)

Doing the install like this is ok, too; but I prefer %makeinstall in this case...

So please consider changing to %makeinstall :)


#################################################


APPROVED
Comment 2 Fabian Affolter 2010-02-09 04:43:13 EST
Thanks for the review.  I will switch to %makeinstall.
Comment 3 Fabian Affolter 2010-02-09 04:44:04 EST
New Package CVS Request
=======================
Package Name: spill
Short Description: A segregated package install logical linker
Owners: fab
Branches: F-11 F-12
InitialCC:
Comment 4 Jason Tibbitts 2010-02-09 16:05:27 EST
CVS done (by process-cvs-requests.py).
Comment 5 Fedora Update System 2010-03-15 16:44:06 EDT
spill-0.8-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/spill-0.8-2.fc12
Comment 6 Fedora Update System 2010-03-15 16:44:11 EDT
spill-0.8-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/spill-0.8-2.fc13
Comment 7 Fedora Update System 2010-03-15 16:44:16 EDT
spill-0.8-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/spill-0.8-2.fc11
Comment 8 Fedora Update System 2010-03-16 19:14:31 EDT
spill-0.8-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spill'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/spill-0.8-2.fc13
Comment 9 Fedora Update System 2010-03-16 19:16:37 EDT
spill-0.8-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spill'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/spill-0.8-2.fc12
Comment 10 Fedora Update System 2010-03-16 19:25:20 EDT
spill-0.8-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spill'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/spill-0.8-2.fc11
Comment 11 Fedora Update System 2010-03-29 22:13:10 EDT
spill-0.8-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-03-29 22:22:06 EDT
spill-0.8-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-04-09 00:13:08 EDT
spill-0.8-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.